%global pypi_name Pillow
%global pkgname pillow
%global commitId e34d346f10c0b1c814661e662a3e0c1ef084cf1c

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pkgname}
Version:       10.0.1
Release:       1%{?dist}
Summary:       Python Imaging Library

License:       HPND
URL:           https://github.com/python-pillow/Pillow
Source0:       python-pillow-e34d346f10c0b1c814661e662a3e0c1ef084cf1c.tar.gz

BuildRequires: gcc
BuildRequires: libjpeg-devel
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: zlib-devel

%global _description %{expand:
The Python Imaging Library adds image processing capabilities to your
Python interpreter.
This library provides extensive file format support, an efficient internal
representation, and fairly powerful image processing capabilities.
The core image library is designed for fast access to data stored in a few
basic pixel formats. It should provide a solid foundation for a general image
processing tool.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{pkgname}

Summary:       Python Imaging Library

Provides:      python%{python3_pkgversion}-imaging = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pkgname}
%{_description}

%prep
%autosetup -n python-%{pkgname}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pkgname}
%{python3_sitearch}/PIL
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc CHANGES.rst README.md

%changelog
* Wed Nov 15 2023 Satoe Imaishi <simaishi@redhat.com> - 10.0.1-1
- Update to 10.0.1
- Fix CVE-2023-44271 (uncontrolled resource consumption when textlength in an
  ImageDraw instance operates on a long text argument)

* Wed Dec 14 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 8.1.2-2
- Rebuild for multiple architectures

* Fri Mar 25 2022 Dimitri Savineau <dsavinea@redhat.com> - 8.1.2-1
- Initial package
